org.apache.commons.net.ftp

## Class FTPCommand

- java.lang.Object
- - org.apache.commons.net.ftp.FTPCommand

- Deprecated.
  use `FTPCmd` instead

      @Deprecated
      public final class FTPCommand
      extends Object

  FTPCommand stores a set of constants for FTP command codes. To interpret the meaning of the codes, familiarity with RFC 959 is assumed. The mnemonic constant names are transcriptions from the code descriptions of RFC 959. For those who think in terms of the actual FTP commands, a set of constants such as `USER` are provided where the constant name is the same as the FTP command.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ABOR` Deprecated.
    `static int` | `ABORT` Deprecated.
    `static int` | `ACCOUNT` Deprecated.
    `static int` | `ACCT` Deprecated.
    `static int` | `ALLO` Deprecated.
    `static int` | `ALLOCATE` Deprecated.
    `static int` | `APPE` Deprecated.
    `static int` | `APPEND` Deprecated.
    `static int` | `CDUP` Deprecated.
    `static int` | `CHANGE_TO_PARENT_DIRECTORY` Deprecated.
    `static int` | `CHANGE_WORKING_DIRECTORY` Deprecated.
    `static int` | `CWD` Deprecated.
    `static int` | `DATA_PORT` Deprecated.
    `static int` | `DELE` Deprecated.
    `static int` | `DELETE` Deprecated.
    `static int` | `EPRT` Deprecated.
    `static int` | `EPSV` Deprecated.
    `static int` | `FEAT` Deprecated.
    `static int` | `FEATURES` Deprecated.
    `static int` | `FILE_STRUCTURE` Deprecated.
    `static int` | `GET_MOD_TIME` Deprecated.
    `static int` | `HELP` Deprecated.
    `static int` | `LIST` Deprecated.
    `static int` | `LOGOUT` Deprecated.
    `static int` | `MAKE_DIRECTORY` Deprecated.
    `static int` | `MDTM` Deprecated.
    `static int` | `MFMT` Deprecated.
    `static int` | `MKD` Deprecated.
    `static int` | `MLSD` Deprecated. Machine parseable list for a directory
    `static int` | `MLST` Deprecated. Machine parseable list for a single file
    `static int` | `MOD_TIME` Deprecated.
    `static int` | `MODE` Deprecated.
    `static int` | `NAME_LIST` Deprecated.
    `static int` | `NLST` Deprecated.
    `static int` | `NOOP` Deprecated.
    `static int` | `PASS` Deprecated.
    `static int` | `PASSIVE` Deprecated.
    `static int` | `PASSWORD` Deprecated.
    `static int` | `PASV` Deprecated.
    `static int` | `PORT` Deprecated.
    `static int` | `PRINT_WORKING_DIRECTORY` Deprecated.
    `static int` | `PWD` Deprecated.
    `static int` | `QUIT` Deprecated.
    `static int` | `REIN` Deprecated.
    `static int` | `REINITIALIZE` Deprecated.
    `static int` | `REMOVE_DIRECTORY` Deprecated.
    `static int` | `RENAME_FROM` Deprecated.
    `static int` | `RENAME_TO` Deprecated.
    `static int` | `REPRESENTATION_TYPE` Deprecated.
    `static int` | `REST` Deprecated.
    `static int` | `RESTART` Deprecated.
    `static int` | `RETR` Deprecated.
    `static int` | `RETRIEVE` Deprecated.
    `static int` | `RMD` Deprecated.
    `static int` | `RNFR` Deprecated.
    `static int` | `RNTO` Deprecated.
    `static int` | `SET_MOD_TIME` Deprecated.
    `static int` | `SITE` Deprecated.
    `static int` | `SITE_PARAMETERS` Deprecated.
    `static int` | `SMNT` Deprecated.
    `static int` | `STAT` Deprecated.
    `static int` | `STATUS` Deprecated.
    `static int` | `STOR` Deprecated.
    `static int` | `STORE` Deprecated.
    `static int` | `STORE_UNIQUE` Deprecated.
    `static int` | `STOU` Deprecated.
    `static int` | `STRU` Deprecated.
    `static int` | `STRUCTURE_MOUNT` Deprecated.
    `static int` | `SYST` Deprecated.
    `static int` | `SYSTEM` Deprecated.
    `static int` | `TRANSFER_MODE` Deprecated.
    `static int` | `TYPE` Deprecated.
    `static int` | `USER` Deprecated.
    `static int` | `USERNAME` Deprecated.

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `getCommand(int command)` Deprecated. Retrieve the FTP protocol command string corresponding to a specified command code.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### USER

          public static final int USER

      Deprecated.
      See Also:
        Constant Field Values

    - #### PASS

          public static final int PASS

      Deprecated.
      See Also:
        Constant Field Values

    - #### ACCT

          public static final int ACCT

      Deprecated.
      See Also:
        Constant Field Values

    - #### CWD

          public static final int CWD

      Deprecated.
      See Also:
        Constant Field Values

    - #### CDUP

          public static final int CDUP

      Deprecated.
      See Also:
        Constant Field Values

    - #### SMNT

          public static final int SMNT

      Deprecated.
      See Also:
        Constant Field Values

    - #### REIN

          public static final int REIN

      Deprecated.
      See Also:
        Constant Field Values

    - #### QUIT

          public static final int QUIT

      Deprecated.
      See Also:
        Constant Field Values

    - #### PORT

          public static final int PORT

      Deprecated.
      See Also:
        Constant Field Values

    - #### PASV

          public static final int PASV

      Deprecated.
      See Also:
        Constant Field Values

    - #### TYPE

          public static final int TYPE

      Deprecated.
      See Also:
        Constant Field Values

    - #### STRU

          public static final int STRU

      Deprecated.
      See Also:
        Constant Field Values

    - #### MODE

          public static final int MODE

      Deprecated.
      See Also:
        Constant Field Values

    - #### RETR

          public static final int RETR

      Deprecated.
      See Also:
        Constant Field Values

    - #### STOR

          public static final int STOR

      Deprecated.
      See Also:
        Constant Field Values

    - #### STOU

          public static final int STOU

      Deprecated.
      See Also:
        Constant Field Values

    - #### APPE

          public static final int APPE

      Deprecated.
      See Also:
        Constant Field Values

    - #### ALLO

          public static final int ALLO

      Deprecated.
      See Also:
        Constant Field Values

    - #### REST

          public static final int REST

      Deprecated.
      See Also:
        Constant Field Values

    - #### RNFR

          public static final int RNFR

      Deprecated.
      See Also:
        Constant Field Values

    - #### RNTO

          public static final int RNTO

      Deprecated.
      See Also:
        Constant Field Values

    - #### ABOR

          public static final int ABOR

      Deprecated.
      See Also:
        Constant Field Values

    - #### DELE

          public static final int DELE

      Deprecated.
      See Also:
        Constant Field Values

    - #### RMD

          public static final int RMD

      Deprecated.
      See Also:
        Constant Field Values

    - #### MKD

          public static final int MKD

      Deprecated.
      See Also:
        Constant Field Values

    - #### PWD

          public static final int PWD

      Deprecated.
      See Also:
        Constant Field Values

    - #### LIST

          public static final int LIST

      Deprecated.
      See Also:
        Constant Field Values

    - #### NLST

          public static final int NLST

      Deprecated.
      See Also:
        Constant Field Values

    - #### SITE

          public static final int SITE

      Deprecated.
      See Also:
        Constant Field Values

    - #### SYST

          public static final int SYST

      Deprecated.
      See Also:
        Constant Field Values

    - #### STAT

          public static final int STAT

      Deprecated.
      See Also:
        Constant Field Values

    - #### HELP

          public static final int HELP

      Deprecated.
      See Also:
        Constant Field Values

    - #### NOOP

          public static final int NOOP

      Deprecated.
      See Also:
        Constant Field Values

    - #### MDTM

          public static final int MDTM

      Deprecated.
      Since:
        2.0
      See Also:
        Constant Field Values

    - #### FEAT

          public static final int FEAT

      Deprecated.
      Since:
        2.2
      See Also:
        Constant Field Values

    - #### MFMT

          public static final int MFMT

      Deprecated.
      Since:
        2.2
      See Also:
        Constant Field Values

    - #### EPSV

          public static final int EPSV

      Deprecated.
      Since:
        2.2
      See Also:
        Constant Field Values

    - #### EPRT

          public static final int EPRT

      Deprecated.
      Since:
        2.2
      See Also:
        Constant Field Values

    - #### MLSD

          public static final int MLSD

      Deprecated.
      Machine parseable list for a directory
      Since:
        3.0
      See Also:
        Constant Field Values

    - #### MLST

          public static final int MLST

      Deprecated.
      Machine parseable list for a single file
      Since:
        3.0
      See Also:
        Constant Field Values

    - #### USERNAME

          public static final int USERNAME

      Deprecated.
      See Also:
        Constant Field Values

    - #### PASSWORD

          public static final int PASSWORD

      Deprecated.
      See Also:
        Constant Field Values

    - #### ACCOUNT

          public static final int ACCOUNT

      Deprecated.
      See Also:
        Constant Field Values

    - #### CHANGE_WORKING_DIRECTORY

          public static final int CHANGE_WORKING_DIRECTORY

      Deprecated.
      See Also:
        Constant Field Values

    - #### CHANGE_TO_PARENT_DIRECTORY

          public static final int CHANGE_TO_PARENT_DIRECTORY

      Deprecated.
      See Also:
        Constant Field Values

    - #### STRUCTURE_MOUNT

          public static final int STRUCTURE_MOUNT

      Deprecated.
      See Also:
        Constant Field Values

    - #### REINITIALIZE

          public static final int REINITIALIZE

      Deprecated.
      See Also:
        Constant Field Values

    - #### LOGOUT

          public static final int LOGOUT

      Deprecated.
      See Also:
        Constant Field Values

    - #### DATA_PORT

          public static final int DATA_PORT

      Deprecated.
      See Also:
        Constant Field Values

    - #### PASSIVE

          public static final int PASSIVE

      Deprecated.
      See Also:
        Constant Field Values

    - #### REPRESENTATION_TYPE

          public static final int REPRESENTATION_TYPE

      Deprecated.
      See Also:
        Constant Field Values

    - #### FILE_STRUCTURE

          public static final int FILE_STRUCTURE

      Deprecated.
      See Also:
        Constant Field Values

    - #### TRANSFER_MODE

          public static final int TRANSFER_MODE

      Deprecated.
      See Also:
        Constant Field Values

    - #### RETRIEVE

          public static final int RETRIEVE

      Deprecated.
      See Also:
        Constant Field Values

    - #### STORE

          public static final int STORE

      Deprecated.
      See Also:
        Constant Field Values

    - #### STORE_UNIQUE

          public static final int STORE_UNIQUE

      Deprecated.
      See Also:
        Constant Field Values

    - #### APPEND

          public static final int APPEND

      Deprecated.
      See Also:
        Constant Field Values

    - #### ALLOCATE

          public static final int ALLOCATE

      Deprecated.
      See Also:
        Constant Field Values

    - #### RESTART

          public static final int RESTART

      Deprecated.
      See Also:
        Constant Field Values

    - #### RENAME_FROM

          public static final int RENAME_FROM

      Deprecated.
      See Also:
        Constant Field Values

    - #### RENAME_TO

          public static final int RENAME_TO

      Deprecated.
      See Also:
        Constant Field Values

    - #### ABORT

          public static final int ABORT

      Deprecated.
      See Also:
        Constant Field Values

    - #### DELETE

          public static final int DELETE

      Deprecated.
      See Also:
        Constant Field Values

    - #### REMOVE_DIRECTORY

          public static final int REMOVE_DIRECTORY

      Deprecated.
      See Also:
        Constant Field Values

    - #### MAKE_DIRECTORY

          public static final int MAKE_DIRECTORY

      Deprecated.
      See Also:
        Constant Field Values

    - #### PRINT_WORKING_DIRECTORY

          public static final int PRINT_WORKING_DIRECTORY

      Deprecated.
      See Also:
        Constant Field Values

    - #### NAME_LIST

          public static final int NAME_LIST

      Deprecated.
      See Also:
        Constant Field Values

    - #### SITE_PARAMETERS

          public static final int SITE_PARAMETERS

      Deprecated.
      See Also:
        Constant Field Values

    - #### SYSTEM

          public static final int SYSTEM

      Deprecated.
      See Also:
        Constant Field Values

    - #### STATUS

          public static final int STATUS

      Deprecated.
      See Also:
        Constant Field Values

    - #### MOD_TIME

          public static final int MOD_TIME

      Deprecated.
      Since:
        2.0
      See Also:
        Constant Field Values

    - #### FEATURES

          public static final int FEATURES

      Deprecated.
      Since:
        2.2
      See Also:
        Constant Field Values

    - #### GET_MOD_TIME

          public static final int GET_MOD_TIME

      Deprecated.
      Since:
        2.2
      See Also:
        Constant Field Values

    - #### SET_MOD_TIME

          public static final int SET_MOD_TIME

      Deprecated.
      Since:
        2.2
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getCommand

          public static String getCommand(int command)

      Deprecated.
      Retrieve the FTP protocol command string corresponding to a specified command code.
      Parameters:
        `command` - The command code.
      Returns:
        The FTP protcol command string corresponding to a specified command code.

Copyright © 2001–2022 The Apache Software Foundation. All rights reserved.